import 'package:dio/dio.dart';
import 'package:dio_helper_flutter/dio_helper.dart';
import 'api_provider.dart';
import 'api_repository.dart';

void main() {
  var apiRepository = ApiRepository(ApiProvider(DioHelper(Dio())));

  //URL
  String mainUrl = 'https://api.first.org/data/v1/';

  //TODO GET API CALLING
  apiRepository.getApi('${mainUrl}countries', success: (response) {
    print(response);
  },
      error: (error) {
    print(
        'Error ${error.errorLanguageEntity!.defaultLanguage} ${error.errorLanguageEntity!.otherLanguage} ${error.statusCode}');
  });

  //TODO POST API CALLING
  /*apiRepository.postApi('${mainUrl}countries', success: (response) {},
      error: (error) {

  });*/

  //TODO POST API WITH CALLING QUERY PARAMETER CALLING
  /*apiRepository.postApi('${mainUrl}countries',
      queryParameters: {}, //QUERY PARAMETER
      success: (response) {}, error: (error) {

  });*/

  //TODO POST API CALLING WITH BODY (JSON) CALLING
  /*apiRepository.postApi('${mainUrl}countries', data: {}, success: (response) {},
      error: (error) {

  });*/
}
